Bug 178496 - floaters takes 65% CPU away from competing processes
floaters takes 65% CPU away from competing processes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-20 17:58 EST by John Reiser
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-22 15:20:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2006-01-20 17:58:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When the "floaters" screensaver kicks in, "top" shows 50% usage by Xorg and 15% usage by floaters [1.1GHz Athlon Plain, 768MB PC133 SDRAM, ATI Rage 128 Pro Ultra TF 1280x1024 @60Hz (depth 16), no swapping, background compiles also running.]  Typing the Shift key to stop the screensaver reverts to 0% Xorg, and the background compiles zoom from 35% CPU to 85% CPU, which shows that floaters+Xorg was stealing many many cycles from the compiles.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.13.5-3

How reproducible:
Always

Steps to Reproduce:
1. Start a rebuild of glibc*.src.rpm using X11 console terminal.  Walk away, wait for "floaters" screensaver to start. 
2.  ssh login over network, run "top" in xterm.
3.
  

Actual Results:  "top" shows Xorg at 50% CPU, floaters at 15% CPU, make+gcc+etc at 35%.
Then when floaters stops, Xorg goes to 0% and make+gcc+etc goes to 85%.

Expected Results:  Screensaver should use "nice" and should be lightweight consumer of CPU.

Additional info:
Comment 1 Ray Strode [halfline] 2006-01-20 18:23:18 EST
Hi,

This is an xserver problem I believe.  If you add 

"Option" "XAANoOffscreenPixmaps" 

to the "Device" section or your xorg.conf does your situation improve at all?
Comment 2 John Reiser 2006-01-20 19:45:35 EST
It gets worse: Xorg is 80% and xfloaters is 17%; the compiles finished.  The
section of /etc/X11/xorg.conf says
-----
Section "Device"
        Identifier  "Videocard0"
        Driver      "ati"
        VendorName  "Videocard vendor"
        BoardName   "ATI Technologies Inc Rage 128 Pro Ultra TF"
        Option      "XAANoOffscreenPixmaps"
EndSection
-----
and the new /var/log/Xorg.0.log says:
(**) R128(0): Option "XaaNoOffscreenPixmaps"

I made the change to xorg.conf, logged out, made sure that the Xserver restarted
by typing <Ctrl><Alt><Backspace>, logged in, opened an xterm and left it idle,
then walked away.  When floaters started, a "top" via ssh login showed CPU usage
of 80% Xorg and 17% floaters.
Comment 3 Ray Strode [halfline] 2006-01-22 15:20:53 EST
Hi,

I've commited a change that should make floaters behave a lot better, and use
less CPU.  It should be available in tomorrow's rawhide.

Note You need to log in before you can comment on or make changes to this bug.